# CGL Blatt 01

## Navigation in der Kommandozeile

### Anezige des aktuellen Arbeitsverzeichnisses
`pwd`
### Alle Dateien im aktuellen Verzeichnis anzeigen
`ls -a`
### Verzeichnis `Computergrundlagen` in `$HOME` anlegen
`mkdir ~/Computergrundlagen`
### In Verzeichnis `Computergrundlagen` wechseln
`cd Computergrundlagen`
### Inhalt von Verzeichnis `root` und `$HOME` anzeigen ohne in diese zu wechseln
`ls root` `ls ~`

## Dateien anlegen und durchsuchen
### `README.md` in `Computergrundlagen` erstellen und darin 100 Worte `Lorem Ipsum` schreiben
`curl -s 'https://lipsum.com/feed/json' -X POST --data-raw 'amount=100&what=words&start=yes&generate=Generate+Lorem+Ipsum' | jq -r '.feed.lipsum' > Computergrundlagen/README.md`

### Wie oft kommt `Lorem` in der Datei vor?
`grep -o Lorem README.md | wc -l`

## Hilfe für Befehle
### Hilfe für `curl`
`man curl`

### Inhalt der Website in `cern.html` schreiben
`curl -s http://info.cern.ch > cern.html`

### Datei mit Browser öffnen
`firefox cern.html`