# CGL Blatt 02

## Dateisystem und Rechte
### `cat foo.txt`
Nur die Gruppe `cgl` hat Lesezugriff auf die Datei.

`pstaerk` und `cgl21-0001` sind Mitglieder diesr Gruppe.
`pstaerk` ist Besitzer dieser Datei.

`cgl19-001` kann den Befehl erfolgreich ausführen wenn der Benutzer Teil der Gruppe `cgl` ist.
`kai` ist nicht Mitglied der `cgl`-Gruppe und `pstaerk`s Nutzerrechte welche einen Lesezugriff verbieten überschreiben die Gruppenrechte, somit schlägt die Ausführung des Befehls fehl. 

### `cp bar.txt cglstuff/`
Nur der Nutzer `pstaerk` und die Gruppe`cgl` haben Lesezugriff auf die Datei

Somit kann `kai` den Befehl nicht erfolgreich ausführen.

Nur die Gruppe `cgl` hat Schreib- und Ausführzugriff auf den `cglstuff`-Ordner.

Da der Ordner dem Nutzer `pstaerk` gehört, kann er den Befehl nicht erfolgreich ausführen obwohl er in der `cgl`-Gruppe ist, da für den Dateieigentümer keine Schreibrechte vorhanden sind, was die Gruppenrechte überschreibt.

Somit kann der Nutzer `cgl19-001` den Befehl ausführen, wenn er Mitglied der `cgl`-Gruppe ist.

### `./script.sh`
Nur die `cgl` Gruppe hat Lese- und Ausführrechte.
Somit kann nur der Nutzer `cgl19-001` den Befehl erfolgreich ausführen, sofern er in der `cgl`-Gruppe ist.
Die restliche Argumentation ist gleich wie beim 1. Befehl.

Ob es überhaupt Sinn macht ein Skript mit 0 Byte Größe auszuführen sei dahingestellt…

### `chmod u=rw,g=r,o= README.md` in Oktaldarstellung
`chmod 640 README.md`

Vorteile Oktaldarstellung
- Kompakter (weniger zu tippen)
- Einfacher für Programme zu handhaben da Bitfield
Nachteile:
- Unintuitiver
- (Tipp-)fehleranfälliger


## Bash Skripte
### `create.sh`
```bash
for i in $(seq 1 $1)
do
  touch "file_$i.txt"
done
```

`chmod +rx create.sh`

### Dateien in `files` kopieren und Endung in `.md` ändern
`find . -maxdepth 1 -type f -name "file_*.txt" -exec bash -c 'cp {} files/$(basename -s .txt {}).md' \;
`
## Netzwerk
### Name des Rechners
`hostname`
### SSH-Zugriff
Sofern ein SSH-Server installiert ist und die Standardkonfiguration nicht geändert wurde
`ssh $USER@$(hostname).$(hostname -d)`

Bei Fernzugriff müssen User, Hostname und DNS-Suffix natürlich manuell eingetragen werden und können nicht mehr automatisch bestimmt werden.
